Index: /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.card
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.card	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.card	(revision 1216)
@@ -0,0 +1,28 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_ice_lim2, namelist_ice)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_ice.nc, restart_icemod.nc, restart_ice_in.nc)
+
+[OutputText]
+List=   (ice_evolu)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_icemod.nc, ${R_OUT_ICE_NWRITE}/${PREFIX}_${WF1}_icemod.nc, Post_5D_icemod)
+
+[Post_5D_icemod]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.driver
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.driver	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/lim2.driver	(revision 1216)
@@ -0,0 +1,31 @@
+#!/bin/ksh
+
+#-----------------------------------
+function ICE_Initialize
+{ 
+    IGCM_debug_PushStack "ICE_Initialize"
+
+    echo INITIALIZE ICE !!!
+
+    IGCM_debug_PopStack "ICE_Initialize"
+}
+
+#-----------------------------------
+function ICE_Update
+{
+    IGCM_debug_PushStack "ICE_Update"
+
+    echo UPDATE ICE !!!
+
+    IGCM_debug_PopStack "ICE_Update"
+}
+
+#-----------------------------------
+function ICE_Finalize
+{
+    IGCM_debug_PushStack "ICE_Finalize"
+
+    echo FINALIZE ICE !!!
+
+    IGCM_debug_PopStack "ICE_Finalize"
+}
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.card
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.card	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.card	(revision 1216)
@@ -0,0 +1,67 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+OPA_NPDT_JOURS=15
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/ahmcoef, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/bathy_level.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/bathy_meter.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/bathy_updated.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/coordinates.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/data_1m_potential_temperature_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/data_1m_salinity_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/flx.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/geothermal_heating.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/runoff_1m_nomask.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/sss_data.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/sst_data.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/taux_1m.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/tauy_1m.nc, .),\
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist, namelist)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart.nc,  restart.nc, restart.nc)
+
+[OutputText]
+List=   (ocean.output, solver.stat, STRAIT.dat)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_5D_grid_T),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, Post_5D_grid_U) ,\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_5D_grid_V),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_5D_grid_W),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_diagap.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diagap.nc, NONE),\
+        (damping.coeff.nc , ${R_OUT_OCE_NWRITE}/${PREFIX}_damping.coeff.nc, NONE),\
+        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
+        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
+        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE),\
+
+[Post_5D_grid_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sowaflup, sohefldo, soicecov, somxl010, sorunoff, sosaline, sossheig, sosstsst, sowaflcd)
+
+[Post_5D_grid_U]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
+TimeSeriesVars = (sozotaux)
+
+[Post_5D_grid_V]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
+TimeSeriesVars = (sometauy)
+
+[Post_5D_grid_W]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
+TimeSeriesVars =
+
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.driver
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.driver	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/COMP/nemo.driver	(revision 1216)
@@ -0,0 +1,172 @@
+#!/bin/ksh
+#-----------------------------------------------------------------
+function OCE_Initialize
+{
+    IGCM_debug_PushStack "OCE_Initialize"
+
+    JOB_NAME=${config_UserChoices_JobName}
+
+    if [ -z "${opa_UserChoices_OPA_NPDT_JOURS}" ] ; then
+	ORCA_NPDT_JOUR=15
+    else
+	ORCA_NPDT_JOUR=${opa_UserChoices_OPA_NPDT_JOURS}
+    fi
+
+    ##--Variables used by OPA --
+
+    # cexper experience name for vairmer format
+    # nit000 number of the first time step
+    # nitend number of the last time step
+    # nwrite frequency of OUTPUT file
+    # ln_rstart boolean term for restart (true or false)
+    # nstock frequency of restart file
+    # nrstdt control of the time step (0, 1 or 2)
+    # ndate0 initial calendar date aammjj
+    # nmsh  =1 create a mesh file (coordinates, scale factors, masks)
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+
+    PAT_CEXPER=$( supergrep cexper    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NIT000=$( supergrep nit000    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NITEND=$( supergrep nitend    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NWRITE=$( supergrep nwrite    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_RESTAR=$( supergrep ln_rstart ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NSTOCK=$( supergrep nstock    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NRSTAR=$( supergrep nrstdt    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NDATE0=$( supergrep ndate0    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NMSH=$(   supergrep nmsh      ${SUBMIT_DIR}/PARAM/namelist ) 
+
+    ORCA_NSTOCK=$( echo $PAT_NSTOCK | sed "s/[a-z,A-Z,=]//g" )
+    ORCA_RDT=$( supergrep rdt  ${SUBMIT_DIR}/PARAM/namelist | sed 's/ *rdt *=//' | sed 's/\. *,//' )
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # /!\ Needed by OPA namelist to compute file names /!\
+    (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
+
+    IGCM_debug_PopStack "OCE_Initialize"
+}
+
+#-----------------------------------------------------------------
+function OCE_Update
+{
+###    set -vx
+    IGCM_debug_PushStack "OCE_Update"
+
+    NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
+
+    ##--Write Frequency Purpose ....
+    frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $1}' )
+    factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+    case ${frequency} in
+	1Y|1y)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}y ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_Y} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_Y} ;
+	    WF1=${factor}Y ;;
+	1M|1m)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInMonth ${year} ${month} ) )) ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}m ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_M} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_M} ;
+	    WF1=${factor}M ;;
+	*D|*d)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor  ))  ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}d ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_D} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_D} ;
+	    WF1=${factor}D ;;
+	*)
+	    (( ORCA_NWRITE = 0 ))                                                            ;;
+    esac
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ##-- Calcul du numero de pas de temps de debut de job ORCA
+    (( ORCA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * ORCA_NPDT_JOUR + 1 ))
+    (( ORCA_NPDT   = PeriodLengthInDays * ORCA_NPDT_JOUR ))
+    (( ORCA_NITEND = ORCA_NIT000 + ORCA_NPDT - 1))
+
+    if [ "${ORCA_NSTOCK}" -gt "${ORCA_NPDT}" ]
+	then
+	ORCA_NSTOCK="${ORCA_NPDT}"
+    fi
+
+    ##-- verification du nb de pas de temps par jour
+    (( NB_SEC_JOUR_MODEL = ORCA_NPDT_JOUR * ORCA_RDT ))
+    (( NB_SEC_JOUR = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_JOUR_MODEL} -ne ${NB_SEC_JOUR} ]
+	then
+        echo " VERIFIER ORCA_NPDT_JOUR dans le job ${JOB} "
+        exit
+    fi
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "n" ] ) ; then
+
+        #echo "PAS DE RESTART OPA"
+	ORCA_LRSTAR=.FALSE.
+	ORCA_NRSTDT=0
+        #echo pas de meshmask en parallele
+	ORCA_NMSH=1
+	( [ X${BATCH_NUM_PROC_TOT} != X ] && [ "${BATCH_NUM_PROC_TOT}" -gt 1 ] ) && ORCA_NMSH=0
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "y" ] ) ; then
+
+        #echo "RESTART OPA"
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=1
+	ORCA_NMSH=0
+
+    else
+
+        #echo "RESTART OPA"
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=2
+	ORCA_NMSH=0
+
+    fi
+        typeset -r PRECIS=8
+	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${ORCA_NITEND} }" ) ) 
+
+    sed -e "s%${PAT_CEXPER}%       cexper=\"${config_UserChoices_JobName}\"%" \
+	-e "s%${PAT_NIT000}%       nit000=${ORCA_NIT000}%"                    \
+	-e "s%${PAT_NITEND}%       nitend=${ORCA_NITEND}%"                    \
+	-e "s%${PAT_NWRITE}%       nwrite=${ORCA_NWRITE}%"                    \
+	-e "s%${PAT_RESTAR}%       ln_rstart=${ORCA_LRSTAR}%"                 \
+	-e "s%${PAT_NSTOCK}%       nstock=${ORCA_NSTOCK}%"                    \
+	-e "s%${PAT_NRSTAR}%       nrstdt=${ORCA_NRSTDT}%"                    \
+	-e "s%${PAT_NDATE0}%       ndate0=${PeriodDateBegin}%"                \
+	-e "s%${PAT_NMSH}%         nmsh=${ORCA_NMSH}%"                        \
+	namelist > namelist.tmp
+
+    IGCM_sys_Mv namelist.tmp namelist
+
+    IGCM_debug_PopStack "OCE_Update"
+}
+
+#-----------------------------------
+function OCE_Finalize
+{
+    IGCM_debug_PushStack "OCE_Finalize"
+
+    if [ -f date.file ] ; then
+        # Prefix use in opa.card AND in lim.card :
+	DATE_OPA=$( cat date.file | \
+	    sed "s/\ ${config_UserChoices_JobName}_[0-9]*[a-z]_\([0-9]*_[0-9]*\)_\ */\1/g" )
+###DATE_OPA=$( $DATE_OPABF | cut -c1-30 )
+	MainPrefix=${config_UserChoices_JobName}_1d_${DATE_OPA}
+	SecondPrefix=${config_UserChoices_JobName}_5d_${DATE_OPA}
+    fi
+
+    echo FINALIZE OCE !!!
+
+    IGCM_debug_PopStack "OCE_Finalize"
+}
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1216)
@@ -0,0 +1,661 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  :  1 - run manager      (namrun)
+!! namelists    2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
+!!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
+!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
+!!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, namtide)
+!!              5 - bottom  boundary (nambfr, nambbc, nambbl)
+!!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
+!!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
+!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
+!!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
+!!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
+
+!!======================================================================
+!!                   ***  Run management namelists  ***
+!!======================================================================
+!!   namrun            parameters of the run
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   no          =       0   !  job number
+   cexper      =  "ORCA2"  !  experience name 
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
+                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                           !                  = 2 calendar parameters read in the restart file
+   nit000      =       1   !  first time step
+   nitend      =    5475   !  last  time step
+   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nleapy      =       0   !  Leap year calendar (1) or not (0)
+   ninist      =       1   !  output the initial state (1) or not (0)
+   nstock      =    5475   !  frequency of creation of a restart file
+   nwrite      =    5475   !  frequency of write in the output file 
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+/
+!!======================================================================
+!!                      ***  Domain namelists  ***
+!!======================================================================
+!!   nam_zgr       vertical coordinate
+!!   nam_zgr_sco   s-coordinate or hybrid z-s-coordinate
+!!   namdom        space and time domain (bathymetry, mesh, timestep)
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nam_zgr       !   vertical coordinate
+!-----------------------------------------------------------------------
+   ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .true.    !  z-coordinate - partial steps   (T/F)
+   ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
+/
+!-----------------------------------------------------------------------
+&nam_zgr_sco   !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   theta       =    6.0    !  surface control parameter (0<=theta<=20)
+   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   ntopo       =    1      !  compute (=0) or read(=1) the bathymetry file
+   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
+   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nmsh        =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
+                           !  =0, no acceleration, rdt = rdttra
+   atfp        =    0.1    !  asselin time filter parameter
+   rdt         = 5760.     !  time step for the dynamics (and tracer if nacc=0)
+   rdtmin      = 5760.     !  minimum time step on tracers (used if nacc=1)
+   rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
+   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+   rdtbt       =   90.     !  barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   nclosea     =    0      !  = 0 no closed sea in the model domain
+                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+/
+!!======================================================================
+!!            ***  Surface Boundary Condition namelists  ***
+!!======================================================================
+!!   namsbc        surface boundary condition
+!!   namsbc_ana    analytical         formulation
+!!   namsbc_flx    flux               formulation
+!!   namsbc_clio   CLIO bulk formulea formulation
+!!   namsbc_core   CORE bulk formulea formulation
+!!   namsbc_cpl    CouPLed            formulation                       ("key_coupled")
+!!   namqsr        penetrative solar radiation
+!!   namsbc_rnf    river runoffs
+!!   namsbc_ssr    sea surface restoring term (for T and/or S)
+!!   namalb        albedo parameters
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     = 5         !  frequency of surface boundary condition computation 
+                           !               (= the frequency of sea-ice model call)
+   ln_ana      = .false.   !  analytical formulation (T => fill namsbc_ana ) 
+   ln_flx      = .false.   !  flux formulation       (T => fill namsbc_flx )
+   ln_blk_clio = .true.    !  CLIO bulk formulation  (T => fill namsbc_clio) 
+   ln_blk_core = .false.   !  CORE bulk formulation  (T => fill namsbc_core) 
+   ln_cpl      = .false.   !  Coupled formulation    (T => fill namsbc_cpl )
+   nn_ice      = 2         !  =0 no ice boundary condition   ,
+                           !  =1 use observed ice-cover      ,
+                           !  =2 ice-model used                             ("key_lim3" or "key_lim2)
+   nn_ico_cpl  = 0         !  ice-ocean coupling : =0 each nn_fsbc 
+                           !                       =1 stresses recomputed each ocean time step ("key_lim3" only)
+                           !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
+   ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
+   ln_rnf      = .true.    !  runoffs (T => fill namsbc_rnf)
+   ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
+                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
+                           !                     =2 annual global mean of e-p-r set to zero
+/
+!-----------------------------------------------------------------------
+&namsbc_ana    !   analytical surface boundary condition
+!-----------------------------------------------------------------------
+   nn_tau000   =   0       !  gently increase the stress over the first ntau_rst time-steps
+   rn_utau0    =   0.5     !  uniform value for the i-stress
+   rn_vtau0    =   0.e0    !  uniform value for the j-stress
+   rn_q0       =   0.e0    !  uniform value for the total heat flux
+   rn_qsr0     =   0.e0    !  uniform value for the solar radiation
+   rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
+/
+!-----------------------------------------------------------------------
+&namsbc_flx    !   surface boundary condition : flux formulation
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'
+   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'
+   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'
+   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'
+   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'
+!
+   cn_dir      = './'      !  root directory for the location of the flux files
+/      
+!-----------------------------------------------------------------------
+&namsbc_clio   !   namsbc_clio  CLIO bulk formulea
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .true.      , .true.  ,   'yearly'    
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .true.      , .true.  ,   'yearly'    
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .true.      , .true.  ,   'yearly'      
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .true.      , .true.  ,   'yearly'     
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .true.      , .true.  ,   'yearly'    
+   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'      
+   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'       
+!
+   cn_dir      = './'      !  root directory for the location of the bulk files are
+/
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulea
+!-----------------------------------------------------------------------
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_prec     =    'precip'        ,       -1.         , 'RAIN'     ,    .false.     , .true.  ,   'yearly'      
+   sn_snow     =    'precip'        ,       -1.         , 'SNOW'     ,    .false.     , .true.  ,   'yearly'       
+!
+   cn_dir      = './'      !  root directory for the location of the bulk files
+   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namqsr        !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
+   rabs        =   0.58    !  fraction of qsr associated with xsi1
+   xsi1        =   0.35    !  first depth of extinction
+   xsi2        =   23.0    !  second depth of extinction
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_rnf    =   'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,    .true.      , .true.  ,   'yearly'     
+   sn_cnf    =   'runoff_1m_nomask' ,         0.        , 'socoefr'  ,    .false.     , .true.  ,   'yearly'              
+!
+   cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_sst      =    'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'
+   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .true.  ,   'yearly'
+!   
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
+   nn_sssr     =     1     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
+   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+/      
+!-----------------------------------------------------------------------
+&namalb        !   albedo parameters
+!-----------------------------------------------------------------------
+   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
+   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
+   alphd       =    0.80   !  coefficients for linear interpolation used to
+   alphc       =    0.65   !  compute albedo between two extremes values 
+   alphdi      =    0.72   !  (Pyane, 1972)
+/
+!!======================================================================
+!!               ***  Lateral boundary condition  ***
+!!======================================================================
+!!   namlbc        lateral momentum boundary condition
+!!   namcla        cross land advection
+!!   namobc        open boundaries parameters                           ("key_obc")
+!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif") 
+!!   nambdy        Unstructured open boundaries                         ("key_bdy")
+!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   shlat       =    2.     !      shlat = 0 : free slip
+                           !  0 < shlat < 2 : partial slip
+                           !      shlat = 2 : no slip
+                           !  2 < shlat     : strong slip
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   n_cla       =    1      !  advection between 2 ocean pts separates by land
+/
+!-----------------------------------------------------------------------
+&namobc        !   open boundaries parameters                           ("key_obc")
+!-----------------------------------------------------------------------
+    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rdpein     =    1.     !  ???
+    rdpwin     =    1.     !  ???
+    rdpnin     =    1.     !  ???
+    rdpsin     =    1.     !  ???
+    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
+    rdpwob     =   15.     !    "        "             "     west         "
+    rdpnob     = 3000.     !    "        "             "     north        "
+    rdpsob     =   15.     !    "        "             "     south        "
+    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
+    zbsic2     =    1.e+6  !    "                   "        second       "
+    zbsic3     =    0.     !    "                   "        thrid        "
+    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
+    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namagrif      !                                                        ("key_agrif")
+!-----------------------------------------------------------------------
+    nbclineupdate = 3      !  baroclinic update frequency
+    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
+    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
+    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
+!-----------------------------------------------------------------------
+    filtide      = 'bdytide_'           !  file name root of tidal forcing files
+    tide_cpt     = 'M2','S1'            !  names of tidal components used
+    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+/
+!!======================================================================
+!!                 ***  Bottom boundary condition  ***
+!!======================================================================
+!!   nambfr        bottom friction
+!!   nambbc        bottom temperature boundary condition                ("key_trabbc")
+!!   nambbl        bottom boundary layer scheme                         ("key_trabbl_dif","key_trabbl_adv")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nambfr        !   bottom friction
+!-----------------------------------------------------------------------
+   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+                           !                              = 3 : free slip,  = 1 :    linear friction
+   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
+   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
+   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
+                           !                       = 1 constant flux
+                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!                          !  diffusive bbl                             ("key_trabbl")
+!                          !  advective bbl                             ("key_trabbl_adv")
+   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
+/
+!!======================================================================
+!!                        Tracer (T & S ) namelists
+!!======================================================================
+!!   nameos        equation of state
+!!   nam_traadv    advection scheme
+!!   nam_traldf    lateral diffusion scheme
+!!   namtdp        tracer newtonian damping                             ("key_tradmp")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+                           !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
+                           !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
+                           !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
+   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&nam_traadv    !   advection scheme for tracer 
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .true.   !  2nd order centered scheme   
+   ln_traadv_tvd    =  .false.  !  TVD scheme                
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
+   ln_traadv_ubs    =  .false.  !  UBS scheme                 
+/
+!-----------------------------------------------------------------------
+&nam_traldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !     laplacian operator       
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level                
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtdp        !   tracer newtonian damping                             ('key_tradmp')
+!-----------------------------------------------------------------------
+   ndmp        =   -1      !  type of damping in temperature and salinity 
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmp        =   50.     !  surface time scale for internal damping (days)
+   bdmp        =  360.     !  bottom  time scale for internal damping (days)
+   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+/
+!!======================================================================
+!!                      ***  Dynamics namelists  ***
+!!======================================================================
+!!   nam_dynadv    formulation of the momentum advection
+!!   nam_dynvor    advection scheme
+!!   nam_dynhpg    hydrostatic pressure gradient
+!!   namflg        hydrostatic pressure gradient time stepping
+!!   nam_dynspg    surface pressure gradient                            (CPP key only)
+!!   nam_dynldf    lateral diffusion scheme
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nam_dynadv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
+/  
+!-----------------------------------------------------------------------
+&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme  
+   ln_dynvor_ens = .true.  !  energy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme               
+   ln_dynvor_een = .false. !  energy & enstrophy scheme  
+/
+!-----------------------------------------------------------------------
+&nam_dynhpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
+   ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
+   ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+   ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
+   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
+/
+!-----------------------------------------------------------------------
+&namflg        !   algorithm flags (algorithm not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
+                           !                                 centered      time scheme  (F)
+   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
+/
+!-----------------------------------------------------------------------
+!nam_dynspg    !   surface pressure gradient   (CPP key only)
+!-----------------------------------------------------------------------
+!                          !  explicit free surface                     ("key_dynspg_exp")
+!                          !  filtered free surface                     ("key_dynspg_flt")
+!                          !  split-explicit free surface               ("key_dynspg_ts")
+!                          !  rigid-lid                                 ("key_dynspg_rl")
+
+!-----------------------------------------------------------------------
+&nam_dynldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !     laplacian operator         
+   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
+!                               !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !     iso-level               
+   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
+                                !  Coefficient
+   ahm0    = 40000.             !     horizontal eddy viscosity   [m2/s]
+   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
+/
+!!======================================================================
+!!             Tracers & Dynamics vertical physics namelists
+!!======================================================================
+!!       namzdf        vertical physics
+!!       namnpc        non penetrative convection                       
+!!       namric        richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       namtke        TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
+   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
+   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
+   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
+   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&namnpc        !   non penetrative convection
+!-----------------------------------------------------------------------
+   nnpc1       =    1      !  non penetrative convective scheme computation frequency
+   nnpc2       =  365      !  non penetrative convective scheme print frequency
+/
+!-----------------------------------------------------------------------
+&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   avmri       = 100.e-4   !  maximum value of the vertical viscosity
+   alp         =   5.      !  coefficient of the parameterization
+   nric        =   2       !  coefficient of the parameterization
+/
+!-----------------------------------------------------------------------
+&namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
+   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
+   rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
+   rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
+   rn_ebb      =   3.75    !  coef. of the surface input of tke
+   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
+   rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
+   rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
+                           !                 = 1 bounded by the local vertical scale factor
+                           !                 = 2 first vertical derivative of mixing length bounded by 1
+                           !                 = 3 same criteria as case 2 but applied in a different way
+   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
+   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
+   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
+   ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
+   rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
+   rn_lmin0    =   0.4     !  surface  buoyancy lenght scale minimum value
+   nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
+                           !        = 0 no penetration ( O(2 km) resolution)
+                           !        = 1 additional tke source 
+                           !        = 2 additional tke source applied only at the base of the mixed layer
+   nn_htau     =   2       !  type of exponential decrease of tke penetration
+                           !        = 0  constant 10 m length scale
+                           !        = 1  ???
+                           !        = 2  ???
+   rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
+   ln_lc       = .false.   !  Langmuir cell effect
+   rn_lc       =   0.15    !  coef. associated to Langmuir cells
+   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
+/
+!------------------------------------------------------------------------
+&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!                                                                         "key_kppcustom" or "key_kpplktb")
+!------------------------------------------------------------------------
+   ln_kpprimix = .true.    !  shear instability mixing 
+   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
+   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
+   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nave        =  1        !  constant (=0) or profile (=1) background on avt
+/
+!-----------------------------------------------------------------------
+&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
+!-----------------------------------------------------------------------
+      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
+!!======================================================================
+!!                  ***  Miscelaneous namelists  ***
+!!======================================================================
+!!   nam_mpp           Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nam_mpp_dyndist   Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
+!!   namctl            Control prints & Benchmark
+!!   namsol            elliptic solver / island / free surface 
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface 
+!-----------------------------------------------------------------------
+   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+                           !                   =2 successive-over-relaxation (sor)
+                           !                   =3 FETI (fet)                               ("key_feti")
+                           !                   =4 sor with extra outer halo
+   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
+   nmin        =    300    !  minimum of iterations for the SOR solver
+   nmax        =    800    !  maximum of iterations for the SOR solver
+   nmod        =     10    !  frequency of test for the SOR solver
+   eps         =  1.e-6    !  absolute precision of the solver
+   resmax      =  1.e-10   !  absolute precision for the SOR solver
+   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+   epsisl      =  1.e-10   !  absolute precision on stream function solver
+   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
+   rnu         =      1.   !  strength of the additional force used in filtered free surface
+/
+!-----------------------------------------------------------------------
+&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+                           !  buffer blocking send or immediate non-blocking sends, resp.
+   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
+!-----------------------------------------------------------------------
+&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni       =    1       !  jpni   number of processors following i
+   jpnj       =    1       !  jpnj   number of processors following j
+   jpnij      =    1       !  jpnij  number of local domains
+/
+!-----------------------------------------------------------------------
+&namctl       !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl     = .false.    !  trends control print (expensive!)
+   nprint     =    0       !  level of print (0 no extra print)
+   nictls     =    0       !  start i indice of control sum (use to compare mono versus
+   nictle     =    0       !  end   i indice of control sum        multi processor runs
+   njctls     =    0       !  start j indice of control               over a subdomain)
+   njctle     =    0       !  end   j indice of control 
+   isplt      =    1       !  number of processors in i-direction
+   jsplt      =    1       !  number of processors in j-direction
+   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+                           !     (no physical validity of the results)
+   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+                           !     of comparison between single and multiple processor runs
+/
+!!======================================================================
+!!                       ***  Diagnostics namelists  ***
+!!======================================================================
+!!   namtrd       dynamics and/or tracer trends                         ("key_trddyn","key_trdtra","key_trdmld")
+!!   namgap       level mean model-data gap                             ("key_diagap")
+!!   namspr       surface pressure diagnosed in rigid-lid               ("key_diaspr")
+!!   namflo       float parameters                                      ("key_float")
+!!   namptr       Poleward Transport Diagnostics
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
+!                          or mixed-layer trends                        ('key_trdmld')
+!                          or barotropic vorticity                      ("key_trdvor")
+!-----------------------------------------------------------------------
+   ntrd       = 365        !  time step frequency dynamics and tracers trends
+   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+/
+!-----------------------------------------------------------------------
+&namgap       !   level mean model-data gap                             ('key_diagap')
+!-----------------------------------------------------------------------
+   ngap       =  15        !  time-step frequency of model-data gap computation
+   nprg       =  10        !  time-step frequency of gap print in model output
+/
+!-----------------------------------------------------------------------
+&namspr       !   surface pressure diagnostic
+!-----------------------------------------------------------------------
+   nmaxp      =   1000     !  maximum of iterations for the solver
+   epsp       =  1.e-3     !  absolute precision of the solver
+   niterp     =    400     !  number of iteration done by the solver
+/
+!-----------------------------------------------------------------------
+&namflo       !   float parameters                                      ("key_float")
+!-----------------------------------------------------------------------
+    ln_rstflo = .false.    !  float restart (T) or not (F)
+    nwritefl  =      75    !  frequency of writing in float output file 
+    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
+    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+                           !  or computed with Blanke' scheme (F)
+/
+!-----------------------------------------------------------------------
+&namptr       !   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+                           !  (orca configuration only, need input basins mask file named "subbasins.nc"
+   nf_ptr     =  15        !  Frequency of ptr computation [time step]
+/
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim2
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim2	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim2	(revision 1216)
@@ -0,0 +1,133 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/LIM2 :  1 - dynamics/advection/thermo          (namicerun)
+!! namelists    2 - ice intialisation                  (namiceini)
+!!              3 - ice dynamic                        (namicedyn)
+!!              5 - ice advection                      (namicetrp)
+!!              6 - thermodynamic                      (namicethd)
+!!              7 - ice salinity                       (namicesal)
+!!              8 - mechanical redistribution of ice   (namiceitdme)
+!!              3 - ice diagnostics                    (namicedia)
+!!              9 - ice outputs                        (namiceout)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+!-----------------------------------------------------------------------
+&namicerun     !   Share parameters for dynamics/advection/thermo
+!-----------------------------------------------------------------------
+   ln_limdyn   = .true.    !  ice dynamics (T) or thermodynamics only (F)
+   ln_limdmp   = .false.   !  restoring ice thickness and fraction leads (T) or not (F)
+   acrit       = 1.0e-06   , 1.0e-06   ! minimum fraction for leads in the Northern (Southern) Hemisphere
+   hsndif      =  0.0      !  computation of temperature in snow (=0.0) or not
+   hicdif      =  0.0      !  computation of temperature in ice  (=0.0) or not (=9999.0)
+/
+!-----------------------------------------------------------------------
+&namiceini     !   ice initialisation
+!-----------------------------------------------------------------------
+   ln_limini   = .false.   !  read the ice initial state in the file 'Ice_initialization.nc' (T) or not (F)
+   ttest       =  2.0      !  threshold water temperature for initial sea ice
+   hninn       =  0.5      !  initial snow thickness in the north
+   hginn       =  3.0      !  initial ice  thickness in the north
+   alinn       =  0.05     !  initial leads area     in the north
+   hnins       =  0.1      !  same  three parameter  in the south
+   hgins       =  1.0      !        "                 "     south   
+   alins       =  0.1      !        "                 "     south
+/
+!-----------------------------------------------------------------------
+&namicedyn     !   ice dynamic
+!-----------------------------------------------------------------------
+   epsd        =   1.0e-20 !  tolerance parameter
+   alpha       =   0.5     !  coefficient for semi-implicit coriolis
+   dm          =   0.6e+03 !  diffusion constant for dynamics
+   nbiter      =   1       !  number of sub-time steps for relaxation
+   nbitdr      = 100       !  maximum number of iterations for relaxation
+   om          =   0.5     !  relaxation constant 
+   resl        =   5.0e-05 !  maximum value for the residual of relaxation
+   cw          =   5.0e-03 !  drag coefficient for oceanic stress
+   angvg       =   0.0     !  turning angle for oceanic stress
+   pstar       =   1.0e+04 !  1st bulk-rheology parameter
+   c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
+   etamn       =   0.0e+07 !  minimun value for viscosity
+   creepl      =   2.0e-08 !  creep limit
+   ecc         =   2.0     !  eccentricity of the elliptical yield curve
+   ahi0        = 350.e0    !  horizontal eddy diffusivity coefficient for sea-ice [m2/s]
+/
+!-----------------------------------------------------------------------
+&namicetrp     !   ice transport
+!-----------------------------------------------------------------------
+   bound       =   0.      !  boundary conditions (=0.0 no-slip, =1.0 free-slip)
+/
+!-----------------------------------------------------------------------
+&namicethd     !   ice thermodynamic
+!-----------------------------------------------------------------------
+!  hmelt       : maximum melting at the bottom
+!  hiccrit(1/2): ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+!                caution 1.0, 1.0 best value to be used!!! (gilles G.)
+!  hicmin      : ice thickness corr. to max. energy stored in brine pocket
+!  hiclim      : minimum ice thickness
+!  amax        : maximum lead fraction
+!  swiqst      : energy stored in brine pocket (=1) or not (=0)	
+!  sbeta       : numerical caracteritic of the scheme for diffusion in ice
+!               Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+!  parlat      : percentage of energy used for lateral ablation
+!  hakspl      : slope of distr. for Hakkinen-Mellor's lateral melting
+!  hibspl      : slope of distribution for Hibler's lateral melting
+!  exld        : exponent for leads-closure rate
+!  hakdif      : coefficient for diffusions of ice and snow
+!  thth         : threshold thickness for comp. of eq. thermal conductivity
+!  hnzst       : thickness of the surf. layer in temp. computation
+!  parsub      : switch for snow sublimation or not
+!  alphs       : coefficient for snow density when snow ice formation
+! 
+&namicethd
+   hmelt       = -0.15     !  maximum melting at the bottom
+   hiccrit     = 0.3 , 0.3 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
+   hiclim      = 0.05      !  minimum ice thickness
+   amax        = 0.999     !  maximum lead fraction
+   swiqst      = 1.        !  energy stored in brine pocket (=1) or not (=0)	
+   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
+                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+   parlat      = 0.0       !  percentage of energy used for lateral ablation
+   hakspl      = 0.5       !  slope of distr. for Hakkinen-Mellor's lateral melting
+   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
+   exld        = 2.0       !  exponent for leads-closure rate
+   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
+   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
+   hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
+   parsub      = 1.0       !  switch for snow sublimation or not
+   alphs       = 1.0       !  coefficient for snow density when snow ice formation
+/
+!-----------------------------------------------------------------------
+&namicedia     !   ice diagnostics
+!-----------------------------------------------------------------------
+   fmtinf      ='1PE13.5 ' !  format of the output values
+   nfrinf      = 4         !  number of variables written in one line
+   ntmoy       = 1         !  instantaneous values of ice evolution or averaging
+   ninfo       = 1         !  frequency of ouputs on file ice_evolu in case of averaging
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namiceout     !   parameters for outputs
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   noumef      =   19      !  number of fields
+!
+!           !         title of the field           !  name     !   units   !  save  ! multipl. ! additive !
+!           !                                      !           !           ! or not !  factor  !  factor  !
+   field_1  = 'Snow thickness                     ', 'isnowthi', 'm       ',    1   ,  1.0     ,    0.0
+   field_2  = 'Ice thickness                      ', 'iicethic', 'm       ',    1   ,  1.0     ,    0.0
+   field_3  = 'Ice produced                       ', 'iiceprod', 'm/kt    ',    1   ,  1.0     ,    0.0
+   field_4  = 'Ice concentration                  ', 'ileadfra', '%       ',    1   , -1.0     ,    1.0
+   field_5  = 'Ice temperature                    ', 'iicetemp', 'C       ',    1   ,  1.0     , -273.15
+   field_6  = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_7  = 'Ice velocity u                     ', 'iicevelu', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_8  = 'Ice velocity v                     ', 'iicevelv', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_9  = 'Sea surface temperature            ', 'isstempe', 'C       ',    1   ,  1.0     , -273.15
+   field_10 = 'Sea surface salinity               ', 'isssalin', 'PSU     ',    1   ,  1.0     ,    0.0
+   field_11 = 'Total flux at ocean surface        ', 'iocetflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_12 = 'Solar flux at ocean surface        ', 'iocesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_13 = 'Non-solar flux at ocean surface    ', 'iocwnsfl', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_14 = 'Salt flux at ocean surface         ', 'iocesafl', 'kg/m2/kt',    1   ,  1.0     ,    0.0
+   field_15 = 'Wind stress u                      ', 'iocestru', 'Pa      ',    1   ,  1.0     ,    0.0
+   field_16 = 'Wind stress v                      ', 'iocestrv', 'Pa      ',    1   ,  1.0     ,    0.0 
+   field_17 = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_18 = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ',    1   ,  1.0     ,    0.0
+/      
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim3
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim3	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist_ice_lim3	(revision 1216)
@@ -0,0 +1,191 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/LIM3 :  1 - dynamics/advection/thermo          (namicerun)
+!! namelists    2 - ice intialisation                  (namiceini)
+!!              3 - ice dynamic                        (namicedyn)
+!!              4 - ice advection                      (namicetrp)
+!!              5 - thermodynamic                      (namicethd)
+!!              6 - ice salinity                       (namicesal)
+!!              7 - mechanical redistribution of ice   (namiceitdme)
+!!              8 - ice diagnostics                    (namicedia)
+!!              9 - ice outputs                        (namiceout)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+!-----------------------------------------------------------------------
+&namicerun     !   Share parameters for dynamics/advection/thermo
+!-----------------------------------------------------------------------
+   ln_limdyn   = .true.    !  ice dynamics (T) or thermodynamics only (F)
+   acrit       =  1.0e-02 , 1.0e-02  !  minimum fraction for leads in the Northern (Southern) Hemisphere
+   hsndif      =  0.0      !  computation of temperature in snow (=0.0) or not
+   hicdif      =  0.0      !  computation of temperature in ice  (=0.0) or not (=9999.0)
+   cai         =  1.40e-3  !  atmospheric drag over sea ice
+   cao         =  1.00e-3  !  atmospheric drag over ocean
+   ln_nicep    = .false.   !  Ice points output for debug (yes or no)
+/
+!-----------------------------------------------------------------------
+&namiceini     !   ice initialisation
+!-----------------------------------------------------------------------
+   ttest       =  2.0      !  threshold water temperature for initial sea ice
+   hninn       =  0.3      !  initial snow thickness in the north
+   hnins       =  0.1      !        "            "          south
+   hginn_u     =  3.50     !  initial undeformed ice thickness in the north
+   hgins_u     =  1.0      !        "            "              "     south
+   aginn_u     =  0.95     !  initial undeformed ice concentration in the north
+   agins_u     =  0.9      !        "            "              "         south
+   hginn_d     =  0.0      !  initial  deformed  ice thickness     in the north
+   hgins_d     =  0.0      !  
+   aginn_d     =  0.00     !  initial  deformed  ice concentration in the north
+   agins_d     =  0.00     !        "            "              "         south
+   sinn        =  6.301    !  initial salinity in the north
+   sins        =  6.301    !        "            "    south
+/
+!-----------------------------------------------------------------------
+&namicedyn     !   ice dynamic
+!-----------------------------------------------------------------------
+   epsd        =   1.0e-20 !  tolerance parameter
+   alpha       =   0.5     !  coefficient for semi-implicit coriolis
+   dm          =   0.6e+03 !  diffusion constant for dynamics
+   nbiter      =   1       !  number of sub-time steps for relaxation
+   nbitdr      = 500       !  maximum number of iterations for relaxation
+   om          =   0.5     !  relaxation constant 
+   resl        =   5.0e-05 !  maximum value for the residual of relaxation
+   cw          =   5.0e-03 !  drag coefficient for oceanic stress
+   angvg       =   0.0     !  turning angle for oceanic stress
+   pstar       =   4.0e+04 !  1st bulk-rheology parameter
+   c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
+   etamn       =   0.0e+07 !  minimun value for viscosity
+   creepl      =   1.0e-12 !  creep limit
+   ecc         =   2.0     !  eccentricity of the elliptical yield curve
+   ahi0        = 350.e0    !  horizontal eddy diffusivity coefficient for sea-ice [m2/s]
+   nevp        = 300       !  number of iterations for subcycling in EVP, SB, 400
+   telast      =9600.0     !  timescale for elastic waves, SB, 720.0
+   alphaevp    =   1.0     !  coefficient for the solution of internal ice stresses
+/
+!-----------------------------------------------------------------------
+&namicetrp     !   ice transport
+!-----------------------------------------------------------------------
+   bound       =   0.      !  boundary conditions (=0.0 no-slip, =1.0 free-slip)
+/
+!-----------------------------------------------------------------------
+&namicethd     !   ice thermodynamic
+!-----------------------------------------------------------------------
+   hmelt       = -0.15     !  maximum melting at the bottom
+   hiccrit     = 0.1 , 0.1 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+                           !         caution 1.0, 1.0 best value to be used!!! (gilles G.)  ????
+   fraz_swi    = 0.0       !  use of frazil ice collection thickness in function of wind (1.0) or not (0.0)
+   maxfrazb    = 0.0       !  maximum portion of frazil ice collecting at the ice bottom
+   vfrazb      = 0.4166667 !  thresold drift speed for frazil ice collecting at the ice bottom
+   Cfrazb      = 5.0       !  squeezing coefficient for frazil ice collecting at the ice bottom
+   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
+   hiclim      = 0.10      !  minimum ice thickness
+   amax        = 0.999     !  maximum lead fraction
+   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
+                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+   parlat      = 0.0       !  percentage of energy used for lateral ablation
+   hakspl      = 0.25      !  slope of distr. for Hakkinen-Mellor's lateral melting
+   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
+   exld        = 2.0       !  exponent for leads-closure rate
+   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
+   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
+   hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
+   parsub      = 1.0       !  switch for snow sublimation or not
+   alphs       = 1.0       !  coefficient for snow density when snow ice formation
+   betas       = 0.6       !  exponent in lead-ice fractionation of snow precipitation 0.66
+                           !        betas = 1 -> equipartition, betas < 1 -> more on leads
+   kappa_i     = 1.0       !  extinction radiation parameter in sea ice (1.0)
+   nconv_i_thd = 50        !  maximal number of iterations for heat diffusion computation
+   maxer_i_thd = 0.0001    !  maximal error in temperature for heat diffusion computation
+   thcon_i_swi = 1         !  switch for computation of thermal conductivity in the ice
+                           !        (0) Untersteiner (1964), (1) Pringle et al. (2007)
+/
+!-----------------------------------------------------------------------
+&namicesal     !   ice salinity
+!-----------------------------------------------------------------------
+   num_sal     =  2        !  salinity option: 1 -> S = bulk_sal
+                           !                   2 -> S = S(z,t) with a simple parameterization
+                           !                   3 -> S = S(z) profile of Scwharzacher [1959]
+                           !                   4 -> S = S(h) Cox and Weeks [1974]
+   bulk_sal    =  4.0      !  if 1 is used, it represents the ice salinity
+   sal_G       =  5.00     !  restoring salinity for GD
+   time_G      =  1.728e+6 !  restoring time for GD
+   sal_F       =  2.00     !  restoring salinity for flushing
+   time_F      =  8.640e+5 !  restoring time for flushing
+   s_i_max     = 20.0      !  Maximum salinity 
+   s_i_min     =  0.1      !  Minimum tolerated ice salinity
+   s_i_0       =  3.5      !  1st salinity for salinity profile
+   s_i_1       =  4.5      !  2nd salinity for salinity profile
+/
+!-----------------------------------------------------------------------
+&namiceitdme   !   parameters for mechanical redistribution of ice 
+!-----------------------------------------------------------------------
+   ridge_scheme_swi = 0      !  which ridging scheme using (1=Rothrock,else=Hibler79)
+   Cs               =   0.50 !  shearing energy contribution to ridging
+   Cf               =  17.0  !  ratio of ridging work to PE change in ridging
+   fsnowrdg         =   0.5  !  snow fraction that survives in ridging
+   fsnowrft         =   0.5  !  snow fraction that survives in rafting
+   Gstar            =   0.15 !  fractional area of thin ice being ridged
+   astar            =   0.05 !  equivalent of gstar (0.05 for TH75 and 0.03 for weaker ice)
+   Hstar            = 100.0  !  parameter determining the maximum thickness of ridged ice
+   raftswi          =   1    !  rafting or not
+   hparmeter        =   0.75 !  threshold thickness for rafting or not
+   Craft            =   5.0  !  coefficient used in the rafting function
+   ridge_por        =   0.3  !  initial porosity of the ridged ice (typically 0.30)
+   sal_max_ridge    =  15.0  !  maximum ridged ice salinity
+   partfun_swi      =   1    !  participation function linear, TH75 (0) or exponential Letal07 (1)
+   transfun_swi     =   0    !  transfer function uniform of H80 (0) or exponential Letal07 (1)
+   brinstren_swi    =   0    !  (1) use brine volume to diminish ice strength
+/
+!-----------------------------------------------------------------------
+&namicedia     !   ice diagnostics
+!-----------------------------------------------------------------------
+   fmtinf      ='1PE13.5 ' !  format of the output values
+   nfrinf      = 4         !  number of variables written in one line
+   ntmoy       = 1         !  instantaneous values of ice evolution or averaging
+   ninfo       = 1         !  frequency of ouputs on file ice_evolu in case of averaging
+/
+!-----------------------------------------------------------------------
+&namiceout     !   parameters for outputs
+!-----------------------------------------------------------------------
+   noumef      =   37      !  number of fields
+   add_diag_swi=    1      !  1 -> diagnose distribution in thickness space
+                           !  0 -> only simple diagnostics
+!
+!           !         title of the field           !  name     !   units   !  save  ! multipl. ! additive !
+!           !                                      !           !           ! or not !  factor  !  factor  !
+   field_1  = 'Ice concentration                  ', 'iiceconc', '%       ',    1   ,  1.0     ,    0.0
+   field_2  = 'Ice thickness                      ', 'iicethic', 'm       ',    1   ,  1.0     ,    0.0
+   field_3  = 'Snow thickness                     ', 'isnowthi', 'm       ',    1   ,  1.0     ,    0.0
+   field_4  = 'Daily bottom thermo ice production ', 'iicebopr', 'cm/day  ',    1   , 100.     ,    0.0
+   field_5  = 'Daily dynamic ice production       ', 'iicedypr', 'cm/day  ',    1   , 100.     ,    0.0
+   field_6  = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_7  = 'Ice velocity u                     ', 'iicevelu', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_8  = 'Ice velocity v                     ', 'iicevelv', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_9  = 'Sea surface temperature            ', 'isstempe', 'C       ',    1   ,  1.0     , -273.15
+   field_10 = 'Sea surface salinity               ', 'isssalin', 'PSU     ',    1   ,  1.0     ,    0.0
+   field_11 = 'Total flux at ocean surface        ', 'iocetflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_12 = 'Solar flux at ocean surface        ', 'iocesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_13 = 'Non-solar flux at ocean surface    ', 'iocwnsfl', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_14 = 'Heat flux due to brine release     ', 'iocehebr', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_15 = 'Wind stress u                      ', 'iocestru', 'Pa      ',    1   ,  1.0     ,    0.0
+   field_16 = 'Wind stress v                      ', 'iocestrv', 'Pa      ',    1   ,  1.0     ,    0.0 
+   field_17 = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_18 = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ',    1   ,  1.0     ,    0.0
+   field_20 = 'Mean ice salinity                  ', 'iicesali', 'psu     ',    1   ,  1.0     ,    0.0
+   field_21 = 'Mean ice age                       ', 'iiceages', 'years   ',    1   ,  0.002739,    0.0
+   field_22 = 'Daily lateral thermo ice prod.     ', 'iicelapr', 'cm/day  ',    1   ,100.      ,    0.0
+   field_23 = 'Daily snowice ice production       ', 'iicesipr', 'cm/day  ',    1   ,100.      ,    0.0
+   field_24 = 'Mean ice temperature               ', 'iicetemp', 'C       ',    1   ,  1.0     , -273.15
+   field_25 = 'Ice total heat content             ', 'iiceheco', '10^9 J  ',    1   ,  1.0     ,    0.0
+   field_26 = 'Ice surface temperature            ', 'iicesurt', 'C       ',    1   ,  1.0     , -273.15
+   field_27 = 'Snow temperature                   ', 'isnotem2', 'C       ',    1   ,  1.0     , -273.15
+   field_28 = 'Fsbri - brine salt flux            ', 'iicfsbri', 'kg/m2/s ',    1   ,  1.0     ,    0.0
+   field_29 = 'Fseqv - equivalent FW salt flux    ', 'iicfseqv', 'kg/m2/s ',    1   ,  1.0     ,    0.0
+   field_30 = 'Brine volume                       ', 'ibrinvol', '%       ',    1   ,  100.0   ,    0.0
+   field_31 = 'Frazil ice collection thickness    ', 'iicecolf', 'm       ',    1   ,  1.0     ,    0.0
+   field_32 = 'Ice strength                       ', 'iicestre', 'N/m     ',    1   ,  0.001   ,    0.0
+   field_33 = 'Ice velocity                       ', 'iicevelo', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_34 = 'Surface melt                       ', 'iicesume', 'cm/day  ',    1   ,100.      ,    0.0
+   field_35 = 'Bottom melt                        ', 'iicebome', 'cm/day  ',    1   ,100.      ,    0.0
+   field_36 = 'Divergence                         ', 'iicedive', '10-8s-1 ',    1   ,  1.0e8   ,    0.0
+   field_37 = 'Shear                              ', 'iiceshea', '10-8s-1 ',    1   ,  1.0e8   ,    0.0
+/      
Index: /branches/libIGCM/ORCA2_LIM/IGCM00/config.card
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/config.card	(revision 1216)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/config.card	(revision 1216)
@@ -0,0 +1,112 @@
+#
+# This is config.card file for NEMO ORCA2_LIM configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=NL1
+LongName="SCRIPT_V1"
+TagName=ORCA2_LIM
+#============================
+#-- leap, noleap, 360d
+CalendarType=noleap
+#-- Début et fin de Job
+#-- "YYYY-MM-DD"
+DateBegin=1860-01-01
+DateEnd=1869-12-31
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+#-- PBS Class (required on brodie mono/multi)
+JobClass=mono
+#JobClass=multi
+#============================
+#-- Total Number of Processors
+#JobNumProcTot=2
+JobNumProcTot=1
+#============================
+#-- Run Options : 
+#JobRunOptions='"-np "${NUM_PROC}"'
+JobRunOptions=''
+#============================
+# config.card configuration options :
+#R_INIT=/home/mancip/PROG/IPSL/FORCAGE_OL/INIT
+#R_BC=/home/mancip/PROG/IPSL/FORCAGE_OL/BC
+#============================
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+OCE= (nemo, NEMO_v3)
+ICE= (lim2, LIM_2)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=nemo
+#D- For each component, Real name of executable
+OCE= (opa, nemo)
+ICE= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=1999-12-30
+#D- Define restart simulation name
+RestartJobName=NL1
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_LIM
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+RebuildFrequency=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=NONE
+
+#========================================================================
+#D-- OCE -
+[OCE]
+#WriteFrequency="1M"
+WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=1999-12-30
+# Define restart simulation name
+RestartJobName=NL1
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_LIM
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- ICE -
+[ICE]
+#WriteFrequency="1M"
+WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=1999-12-30
+# Define restart simulation name
+RestartJobName=NL1
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_LIM
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+
